View Javadoc

    1   // ========================================================================
    2   // $Id: Heading.java,v 1.3 2004/05/09 20:31:28 gregwilkins Exp $
    3   // Copyright 1996-2004 Mort Bay Consulting Pty. Ltd.
    4   // ------------------------------------------------------------------------
    5   // Licensed under the Apache License, Version 2.0 (the "License");
    6   // you may not use this file except in compliance with the License.
    7   // You may obtain a copy of the License at
    8   // http://www.apache.org/licenses/LICENSE-2.0
    9   // Unless required by applicable law or agreed to in writing, software
    10  // distributed under the License is distributed on an "AS IS" BASIS,
    11  // WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    12  // See the License for the specific language governing permissions and
    13  // limitations under the License.
    14  // ========================================================================
    15
    16  package org.mortbay.html;
    17
    18  /* -------------------------------------------------------------------- */
    19  /** HTML Heading.
    20   */
    21  public class Heading extends Block
    22  {
    23      private static final String[] headerTags = {
    24          "h1", "h2", "h3", "h4", "h5", "h6"
    25      };
    26
    27      /* ----------------------------------------------------------------- */
    28      /* Construct a heading and add Element, String or Object
    29       * @param level The level of the heading
    30       * @param o The Element, String or Object of the heading.
    31       */
    32      public Heading(int level,Object o)
    33      {
    34          super((level <= headerTags.length) ? headerTags[level-1] : "h"+level);
    35          add(o);
    36      }
    37  }
    38